#ifndef __GEOMETRY_H__
#define __GEOMETRY_H__

#include <GL/glfw.h> // http://www.glfw.org/GLFWReference27.pdf

struct SModel
{
	unsigned char* indexArr;
	unsigned char* vPosArr;
	unsigned char* vNormalArr;
	unsigned char* vTangentArr;
	unsigned char* vBinormalArr;
	unsigned char* texCoordArr;

	unsigned int indexCnt;
	unsigned int vertCnt;

	GLuint vPosVB;
	GLuint texCoordVB;
	GLuint vNormalVB;
	GLuint vTangentVB;
	GLuint vBinormalVB;
	GLuint triangleIB;

};

void generateGrid(float* &data,unsigned int* &indices,unsigned int& vertCnt,unsigned int& triCnt,int w,int h);
int loadGeometry(SModel* pModel);
int generateCubeGeometry(SModel* pModel);

#endif //  __GEOMETRY_H__
